com.smartgwt.client.widgets.form.fields

## Class SpinnerItem

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.widgets.form.fields.FormItem
        - - com.smartgwt.client.widgets.form.fields.TextItem
          - - com.smartgwt.client.widgets.form.fields.SpinnerItem

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers, HasBlurHandlers, HasChangedHandlers, HasChangeHandlers, HasClickHandlers, HasDoubleClickHandlers, HasEditorEnterHandlers, HasEditorExitHandlers, HasFocusHandlers, HasIconClickHandlers, HasIconKeyPressHandlers, HasItemHoverHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasKeyUpHandlers, HasPendingStatusChangedHandlers, HasPickerIconClickHandlers, HasShowContextMenuHandlers, HasTitleClickHandlers, HasTitleDoubleClickHandlers, HasTitleHoverHandlers, HasValueHoverHandlers, HasValueIconClickHandlers

      public class SpinnerItem
      extends TextItem

  Item for picking a number. Includes arrow buttons to increase / decrease the value

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `FormItem.CustomStateGetter, FormItem.StateCustomizer`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `scClassName, warnOnEditorTypeConversion, warnOnEditorTypeConversionDefault`

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties, readOnly`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpinnerItem()`
    `SpinnerItem(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `SpinnerItem(java.lang.String name)`
    `SpinnerItem(java.lang.String name, java.lang.String title)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `static void` | `changePickerIconDefaults(FormItemIcon defaults)`
    `FormItemIcon` | `getDecreaseIcon()` In `stacked mode`, the icon to decrease the spinner's value (a down arrow by default).
    `FormItemIcon` | `getIncreaseIcon()` In `stacked mode`, the icon to increase the spinner's value (an up arrow by default).
    `java.lang.String` | `getMask()` Not applicable to a SpinnerItem.
    `java.lang.Boolean` | `getMaskOverwriteMode()` Not applicable to a SpinnerItem.
    `java.lang.String` | `getMaskPadChar()` Not applicable to a SpinnerItem.
    `java.lang.String` | `getMaskPromptChar()` Not applicable to a SpinnerItem.
    `java.lang.Boolean` | `getMaskSaveLiterals()` Not applicable to a SpinnerItem.
    `java.lang.Double` | `getMax()` Maximum valid value for this item.
    `java.lang.Double` | `getMin()` Minimum valid value for this item.
    `static SpinnerItem` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `double` | `getStep()` How much should the value be incremented / decremented when the user hits the icons to increase / decrease the value?
    `FormItemIcon` | `getUnstackedDecreaseIcon()` In `unstacked mode`, the icon to decrease the `SpinnerItem`'s value.
    `FormItemIcon` | `getUnstackedIncreaseIcon()` In `unstacked mode`, the icon to increase the `SpinnerItem`'s value.
    `java.lang.String` | `getUnstackedPrintTextBoxStyle()` In `unstacked mode`, the base CSS class name for the `SpinnerItem`'s text box element when printed.
    `java.lang.String` | `getUnstackedReadOnlyTextBoxStyle()`
    `java.lang.String` | `getUnstackedTextBoxStyle()` In `unstacked mode`, the base CSS class name for the `SpinnerItem`'s text box element.
    `java.lang.Boolean` | `getWriteStackedIcons()` When set to `true`, the increase and decrease icons are stacked on top of each other, also called stacked mode.
    `void` | `setDecreaseIconProperties(FormItemIcon decreaseIconProperties)` FormItemIcon properties applied to the `decreaseIcon` AutoChild of this SpinnerItem.
    `static void` | `setDefaultProperties(SpinnerItem spinnerItemProperties)` Class level method to set the default properties of this class.
    `void` | `setDefaultValue(java.lang.Double defaultValue)` Value used when no value is provided for this item.
    `void` | `setDefaultValue(java.lang.Integer defaultValue)` Value used when no value is provided for this item.
    `void` | `setIncreaseIconProperties(FormItemIcon increaseIconProperties)` FormItemIcon properties applied to the `increaseIcon` AutoChild of this SpinnerItem.
    `void` | `setMask(java.lang.String mask)` Not applicable to a SpinnerItem.
    `void` | `setMaskOverwriteMode(java.lang.Boolean maskOverwriteMode)` Not applicable to a SpinnerItem.
    `void` | `setMaskPadChar(java.lang.String maskPadChar)` Not applicable to a SpinnerItem.
    `void` | `setMaskPromptChar(java.lang.String maskPromptChar)` Not applicable to a SpinnerItem.
    `void` | `setMaskSaveLiterals(java.lang.Boolean maskSaveLiterals)` Not applicable to a SpinnerItem.
    `void` | `setMax(java.lang.Double max)` Maximum valid value for this item.
    `void` | `setMax(java.lang.Integer max)`
    `void` | `setMin(java.lang.Double min)` Minimum valid value for this item.
    `void` | `setMin(java.lang.Integer min)`
    `void` | `setNextValueHandler(NextValueHandler handler)` When `min` and `max` are both null or unspecified, the nextValueHandler is used to get the next higher value from the currentValue.
    `void` | `setPreviousValueHandler(PreviousValueHandler handler)` When `min` and `max` are both null or unspecified, the previousValueHandler is used to get the previous lower value from the currentValue.
    `void` | `setStep(double step)` How much should the value be incremented / decremented when the user hits the icons to increase / decrease the value?
    `void` | `setUnstackedPrintTextBoxStyle(java.lang.String unstackedPrintTextBoxStyle)` In `unstacked mode`, the base CSS class name for the `SpinnerItem`'s text box element when printed.
    `void` | `setUnstackedReadOnlyTextBoxStyle(java.lang.String unstackedReadOnlyTextBoxStyle)`
    `void` | `setUnstackedTextBoxStyle(java.lang.String unstackedTextBoxStyle)` In `unstacked mode`, the base CSS class name for the `SpinnerItem`'s text box element.
    `void` | `setWriteStackedIcons(java.lang.Boolean writeStackedIcons)` When set to `true`, the increase and decrease icons are stacked on top of each other, also called stacked mode.

    - ### Methods inherited from class com.smartgwt.client.widgets.form.fields.TextItem

      `deselectValue, deselectValue, getBrowserAutoCapitalize, getBrowserAutoCorrect, getBrowserInputType, getChangeOnKeypress, getCharacterCasing, getEditProxyConstructor, getEnforceLength, getEnteredValue, getEscapeHTML, getFetchMissingValues, getFormatOnBlur, getFormatOnFocusChange, getHint, getKeyPressFilter, getLength, getPrintFullText, getSaveOnEnter, getSelectionRange, getSelectOnClick, getSelectOnFocus, getShowHintInField, getSupportsCutPasteEvents, getTextBoxStyle, getUsePlaceholderForHint, getValueAsString, pendingStatusChanged, selectValue, setBrowserAutoCapitalize, setBrowserAutoCorrect, setBrowserInputType, setChangeOnKeypress, setCharacterCasing, setDefaultProperties, setEditProxyConstructor, setEnforceLength, setEscapeHTML, setFetchMissingValues, setFormatOnBlur, setFormatOnFocusChange, setKeyPressFilter, setLength, setPastedValueTransformer, setPrintFullText, setSaveOnEnter, setSelectionRange, setSelectOnClick, setSelectOnFocus, setShowHintInField, setSupportsCutPasteEvents, setTextBoxStyle, setUsePlaceholderForHint, shouldFetchMissingValue`

    - ### Methods inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `_getValue, addBlurHandler, addChangedHandler, addChangeHandler, addClickHandler, addDoubleClickHandler, addEditorEnterHandler, addEditorExitHandler, addFocusHandler, addIconClickHandler, addIconKeyPressHandler, addItemHoverHandler, addKeyDownHandler, addKeyPressHandler, addKeyUpHandler, addPendingStatusChangedHandler, addPickerIconClickHandler, addShowContextMenuHandler, addTitleClickHandler, addTitleDoubleClickHandler, addTitleHoverHandler, addValueHoverHandler, addValueIconClickHandler, applyFormula, asSGWTComponent, blurItem, canEditCriterion, clearErrors, clearValue, disable, disableIcon, enable, enableIcon, error, error, errorIfNotCreated, focusInItem, getAccessKey, getAlign, getAllowExpressions, getAlwaysFetchMissingValues, getApplyAlignToText, getApplyHeightToTextBox, getAriaRole, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsObject, getAttributeAsString, getAutoComplete, getBrowserSpellCheck, getCanEdit, getCanEditOpaqueValues, getCanFocus, getCanSelectText, getCanTabToIcons, getCanvasAutoChild, getCellHeight, getCellStyle, getClassName, getClipStaticValue, getClipTitle, getConfig, getContainerWidget, getControlStyle, getCriteriaField, getCriterion, getCriterion, getCursorPosition, getCustomState, getDataPath, getDateFormatter, getDecimalPad, getDecimalPrecision, getDefaultIconSrc, getDisabled, getDisableIconsOnReadOnly, getDisplayField, getDisplayFieldName, getDisplayValue, getDisplayValue, getEditorTypeConfig, getEditPendingCSSText, getEmptyDisplayValue, getEmptyValueIcon, getEndRow, getErrorIconHeight, getErrorIconSrc, getErrorIconWidth, getErrorMessageWidth, getErrors, getExportFormat, getFieldName, getFilterLocally, getForeignDisplayField, getForm, getFormat, getFormItemAutoChild, getFormula, getFullDataPath, getGlobalTabIndex, getGridColNum, getGridRowNum, getHeight, getHeightAsString, getHidden, getHintStyle, getHoverAlign, getHoverDelay, getHoverHeight, getHoverOpacity, getHoverStyle, getHoverVAlign, getHoverWidth, getIcon, getIconHeight, getIconHSpace, getIconPageRect, getIconPrompt, getIconRect, getIconVAlign, getIconWidth, getImageURLPrefix, getImageURLSuffix, getImplicitSave, getImplicitSaveOnBlur, getInputFormat, getLeft, getLoadingDisplayValue, getLocateItemBy, getMinHintWidth, getMultipleValueSeparator, getName, getOperator, getOptionCriteria, getOptionDataSource, getOptionDataSourceAsString, getOptionFilterContext, getOptionOperationId, getOriginalValueMessage, getPageLeft, getPageRect, getPageTop, getPicker, getPickerIconHeight, getPickerIconName, getPickerIconPrompt, getPickerIconProperties, getPickerIconSrc, getPickerIconStyle, getPickerIconWidth, getPixelHeight, getPixelWidth, getPrintTextBoxStyle, getPrintTitleStyle, getPrompt, getReadOnlyDisplay, getReadOnlyHover, getReadOnlyTextBoxStyle, getReadOnlyWhen, getRect, getRedrawOnChange, getRejectInvalidValueOnChange, getRequired, getRequiredMessage, getRequiredWhen, getRowSpan, getScClassName, getSelectedRecord, getShouldSaveValue, getShowClippedTitleOnHover, getShowClippedValueOnHover, getShowDeletions, getShowDisabled, getShowErrorIcon, getShowErrorStyle, getShowErrorText, getShowFocused, getShowFocusedErrorState, getShowFocusedIcons, getShowFocusedPickerIcon, getShowHint, getShowIcons, getShowOldValueInHover, getShowOver, getShowOverIcons, getShowPending, getShowPickerIcon, getShowRTL, getShowTitle, getShowValueIconOnly, getStartRow, getStaticHeight, getStopOnError, getSuppressValueIcon, getSynchronousValidation, getTabIndex, getTextAlign, getTextFormula, getTimeFormatter, getTitle, getTitleAlign, getTitleColSpan, getTitleOrientation, getTitleStyle, getTitleVAlign, getTooltip, getTop, getType, getUpdateControlOnOver, getUpdatePickerIconOnOver, getUpdateTextBoxOnOver, getUseDisabledHintStyleForReadOnly, getValidateOnChange, getValidateOnExit, getValidOperators, getVAlign, getValue, getValueAsRecordList, getValueDeselectedCSSText, getValueField, getValueFieldName, getValueIconHeight, getValueIconLeftPadding, getValueIconRightPadding, getValueIconSize, getValueIconWidth, getVisible, getVisibleHeight, getVisibleTitleWidth, getVisibleWhen, getVisibleWidth, getWarnOnEditorTypeConversion, getWarnOnEditorTypeConversionDefault, getWidth, getWidthAsString, getWrapHintText, getWrapTitle, handleWarnOnEditorTypeConversion, hasAdvancedCriteria, hasErrors, hide, hideIcon, invalidateDisplayValueCache, isCreated, isCutEvent, isDisabled, isDrawn, isFocused, isInGrid, isPasteEvent, isVisible, linkToInstanceUponCreate, mapDisplayToValue, mapValueToDisplay, mapValueToDisplay, mapValueToDisplay, redraw, redraw, setAccessKey, setAlign, setAllowExpressions, setAlwaysFetchMissingValues, setApplyAlignToText, setApplyHeightToTextBox, setAriaRole, setAriaState, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoComplete, setBrowserSpellCheck, setCanEdit, setCanEditCriterionPredicate, setCanEditOpaqueValues, setCanFocus, setCanSelectText, setCanTabToIcons, setCellHeight, setCellStyle, setClipStaticValue, setClipTitle, setColSpan, setColSpan, setControlStyle, setCriteriaField, setCriterion, setCriterionGetter, setCriterionSetter, setCustomStateGetter, setDataPath, setDateFormatter, setDecimalPad, setDecimalPrecision, setDefaultIconSrc, setDefaultProperties, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDisabled, setDisableIconsOnReadOnly, setDisplayField, setDisplayFormat, setDisplayFormat, setEditorProperties, setEditorType, setEditorType, setEditorType, setEditorValueFormatter, setEditorValueParser, setEditPendingCSSText, setEmptyDisplayValue, setEmptyValueIcon, setEndRow, setErrorFormatter, setErrorIconHeight, setErrorIconSrc, setErrorIconWidth, setErrorMessageWidth, setErrorOrientation, setErrors, setErrors, setExportFormat, setFilterLocally, setForeignDisplayField, setFormat, setFormula, setGlobalTabIndex, setHeight, setHeight, setHidden, setHint, setHintStyle, setHoverAlign, setHoverDelay, setHoverHeight, setHoverOpacity, setHoverStyle, setHoverVAlign, setHoverWidth, setIconDisabled, setIconHeight, setIconHSpace, setIconPrompt, setIcons, setIconVAlign, setIconWidth, setImageURLPrefix, setImageURLSuffix, setImplicitSave, setImplicitSaveOnBlur, setInitHandler, setInputFormat, setInputTransformer, setItemHoverFormatter, setItemTitleHoverFormatter, setItemValueHoverFormatter, setJavaScriptObject, setLeft, setLoadingDisplayValue, setLocateItemBy, setMinHintWidth, setMultipleValueSeparator, setName, setNullProperty, setOperator, setOptionCriteria, setOptionDataSource, setOptionDataSource, setOptionFilterContext, setOptionOperationId, setOriginalValueMessage, setPickerIconHeight, setPickerIconName, setPickerIconPrompt, setPickerIconProperties, setPickerIconSrc, setPickerIconStyle, setPickerIconWidth, setPrintTextBoxStyle, setPrintTitleStyle, setPrompt, setProperty, setProperty, setProperty, setProperty, setProperty, setReadOnlyDisplay, setReadOnlyHover, setReadOnlyTextBoxStyle, setReadOnlyWhen, setRedrawOnChange, setRejectInvalidValueOnChange, setRequired, setRequiredMessage, setRequiredWhen, setRowSpan, setScClassName, setShouldSaveValue, setShowClippedTitleOnHover, setShowClippedValueOnHover, setShowDeletions, setShowDisabled, setShowErrorIcon, setShowErrorStyle, setShowErrorText, setShowFocused, setShowFocusedErrorState, setShowFocusedIcons, setShowFocusedPickerIcon, setShowHint, setShowIcons, setShowIfCondition, setShowOldValueInHover, setShowOver, setShowOverIcons, setShowPending, setShowPickerIcon, setShowRTL, setShowTitle, setShowValueIconOnly, setStartRow, setStateCustomizer, setStaticHeight, setStopOnError, setSuppressValueIcon, setSynchronousValidation, setTabIndex, setTextAlign, setTextFormula, setTimeFormatter, setTitle, setTitleAlign, setTitleColSpan, setTitleHoverFormatter, setTitleOrientation, setTitleStyle, setTitleVAlign, setTooltip, setTop, setType, setUpdateControlOnOver, setUpdatePickerIconOnOver, setUpdateTextBoxOnOver, setUseDisabledHintStyleForReadOnly, setValidateOnChange, setValidateOnExit, setValidators, setValidOperators, setVAlign, setValue, setValue, setValue, setValue, setValue, setValue, setValueDeselectedCSSText, setValueField, setValueFormatter, setValueHoverFormatter, setValueIconHeight, setValueIconLeftPadding, setValueIconMapper, setValueIconRightPadding, setValueIcons, setValueIconSize, setValueIconWidth, setValueMap, setValueMap, setVisible, setVisibleWhen, setWarnOnEditorTypeConversion, setWarnOnEditorTypeConversionDefault, setWidth, setWidth, setWrapHintText, setWrapTitle, shouldApplyHeightToTextBox, shouldSaveOnEnter, shouldStopKeyPressBubbling, show, showIcon, showPicker, stopHover, storeValue, storeValue, updateState, validate, valueClipped`

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttributeAsDoubleArray, getAttributeAsIntArray, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsStringArray, getAttributes, getHandlerCount, getReadOnly, isFactoryCreated, logConfiguration, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated, setReadOnly`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### SpinnerItem

          public SpinnerItem()

    - #### SpinnerItem

          public SpinnerItem(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### SpinnerItem

          public SpinnerItem(java.lang.String name)

    - #### SpinnerItem

          public SpinnerItem(java.lang.String name,
                             java.lang.String title)

  - ### Method Detail

    - #### getOrCreateRef

          public static SpinnerItem getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changePickerIconDefaults

          public static void changePickerIconDefaults(FormItemIcon defaults)

    - #### getDecreaseIcon

          public FormItemIcon getDecreaseIcon()

      In `stacked mode`, the icon to decrease the spinner's value (a down arrow by default).

      When `spriting` is enabled, this property will not be used to locate an image, instead, the image is drawn via CSS based on the `FormItemIcon.baseStyle` property.

      This component is an AutoChild named "decreaseIcon". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        FormItemIcon

    - #### setDecreaseIconProperties

          public void setDecreaseIconProperties(FormItemIcon decreaseIconProperties)

      FormItemIcon properties applied to the `decreaseIcon` AutoChild of this SpinnerItem.
      Parameters:
        `decreaseIconProperties` - Default value is null

    - #### getIncreaseIcon

          public FormItemIcon getIncreaseIcon()

      In `stacked mode`, the icon to increase the spinner's value (an up arrow by default).

      When `spriting` is enabled, this property will not be used to locate an image, instead, the image is drawn via CSS based on the `FormItemIcon.baseStyle` property.

      This component is an AutoChild named "increaseIcon". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        FormItemIcon

    - #### setIncreaseIconProperties

          public void setIncreaseIconProperties(FormItemIcon increaseIconProperties)

      FormItemIcon properties applied to the `increaseIcon` AutoChild of this SpinnerItem.
      Parameters:
        `increaseIconProperties` - Default value is null

    - #### setMask

          public void setMask(java.lang.String mask)

      Not applicable to a SpinnerItem.

      Note : This is an advanced setting

      Overrides:
        `setMask` in class `TextItem`
      Parameters:
        `mask` - Default value is null
      See Also:
        `TextItem.setKeyPressFilter(java.lang.String)`, Text - Masked Example

    - #### getMask

          public java.lang.String getMask()

      Not applicable to a SpinnerItem.
      Overrides:
        `getMask` in class `TextItem`
      Returns:
        String
      See Also:
        `TextItem.getKeyPressFilter()`, Text - Masked Example

    - #### setMaskOverwriteMode

          public void setMaskOverwriteMode(java.lang.Boolean maskOverwriteMode)

      Not applicable to a SpinnerItem.

      Note : This is an advanced setting

      Overrides:
        `setMaskOverwriteMode` in class `TextItem`
      Parameters:
        `maskOverwriteMode` - Default value is null

    - #### getMaskOverwriteMode

          public java.lang.Boolean getMaskOverwriteMode()

      Not applicable to a SpinnerItem.
      Overrides:
        `getMaskOverwriteMode` in class `TextItem`
      Returns:
        Boolean

    - #### setMaskPadChar

          public void setMaskPadChar(java.lang.String maskPadChar)

      Not applicable to a SpinnerItem.

      Note : This is an advanced setting

      Overrides:
        `setMaskPadChar` in class `TextItem`
      Parameters:
        `maskPadChar` - Default value is " "

    - #### getMaskPadChar

          public java.lang.String getMaskPadChar()

      Not applicable to a SpinnerItem.
      Overrides:
        `getMaskPadChar` in class `TextItem`
      Returns:
        String

    - #### setMaskPromptChar

          public void setMaskPromptChar(java.lang.String maskPromptChar)

      Not applicable to a SpinnerItem.

      Note : This is an advanced setting

      Overrides:
        `setMaskPromptChar` in class `TextItem`
      Parameters:
        `maskPromptChar` - Default value is "_"

    - #### getMaskPromptChar

          public java.lang.String getMaskPromptChar()

      Not applicable to a SpinnerItem.
      Overrides:
        `getMaskPromptChar` in class `TextItem`
      Returns:
        String

    - #### setMaskSaveLiterals

          public void setMaskSaveLiterals(java.lang.Boolean maskSaveLiterals)

      Not applicable to a SpinnerItem.

      Note : This is an advanced setting

      Overrides:
        `setMaskSaveLiterals` in class `TextItem`
      Parameters:
        `maskSaveLiterals` - Default value is null

    - #### getMaskSaveLiterals

          public java.lang.Boolean getMaskSaveLiterals()

      Not applicable to a SpinnerItem.
      Overrides:
        `getMaskSaveLiterals` in class `TextItem`
      Returns:
        Boolean

    - #### setMax

          public void setMax(java.lang.Double max)

      Maximum valid value for this item. If this and `min` are both null or unspecified, then the `nextValueHandler` and `previousValueHandler` are used to increase or decrease the value and these handlers are also used to determine the maximum value.
      Parameters:
        `max` - Default value is null
      See Also:
        Number - Spinner Example

    - #### getMax

          public java.lang.Double getMax()

      Maximum valid value for this item. If this and `min` are both null or unspecified, then the `nextValueHandler` and `previousValueHandler` are used to increase or decrease the value and these handlers are also used to determine the maximum value.
      Returns:
        Double
      See Also:
        Number - Spinner Example

    - #### setMin

          public void setMin(java.lang.Double min)

      Minimum valid value for this item. If this and `max` are both null or unspecified, then the `nextValueHandler` and `previousValueHandler` are used to increase or decrease the value and these handlers are also used to determine the minimum value.
      Parameters:
        `min` - Default value is null
      See Also:
        Number - Spinner Example

    - #### getMin

          public java.lang.Double getMin()

      Minimum valid value for this item. If this and `max` are both null or unspecified, then the `nextValueHandler` and `previousValueHandler` are used to increase or decrease the value and these handlers are also used to determine the minimum value.
      Returns:
        Double
      See Also:
        Number - Spinner Example

    - #### setStep

          public void setStep(double step)

      How much should the value be incremented / decremented when the user hits the icons to increase / decrease the value?

      When providing a `nextValueHandler` and/or `previousValueHandler`, the sign of the step value determines whether these handlers are expected to induce monotonically increasing or decreasing functions.

      Parameters:
        `step` - Default value is 1
      See Also:
        Number - Spinner Example

    - #### getStep

          public double getStep()

      How much should the value be incremented / decremented when the user hits the icons to increase / decrease the value?

      When providing a `nextValueHandler` and/or `previousValueHandler`, the sign of the step value determines whether these handlers are expected to induce monotonically increasing or decreasing functions.

      Returns:
        double
      See Also:
        Number - Spinner Example

    - #### getUnstackedDecreaseIcon

          public FormItemIcon getUnstackedDecreaseIcon()

      In `unstacked mode`, the icon to decrease the `SpinnerItem`'s value.

      By default, `"[SKIN]/DynamicForm/Spinner_decrease_icon.png"` is stretched to an 18x18 icon.

      When `spriting` is enabled, this property will not be used to locate an image, instead, the image is drawn via CSS based on the `FormItemIcon.baseStyle` property.

      This component is an AutoChild named "unstackedDecreaseIcon". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        FormItemIcon

    - #### getUnstackedIncreaseIcon

          public FormItemIcon getUnstackedIncreaseIcon()

      In `unstacked mode`, the icon to increase the `SpinnerItem`'s value.

      By default, `"[SKIN]/DynamicForm/Spinner_increase_icon.png"` is stretched to an 18x18 icon.

      When `spriting` is enabled, this property will not be used to locate an image, instead, the image is drawn via CSS based on the `FormItemIcon.baseStyle` property.

      This component is an AutoChild named "unstackedIncreaseIcon". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        FormItemIcon

    - #### setUnstackedPrintTextBoxStyle

          public void setUnstackedPrintTextBoxStyle(java.lang.String unstackedPrintTextBoxStyle)

      In `unstacked mode`, the base CSS class name for the `SpinnerItem`'s text box element when printed. If unset, then `unstackedTextBoxStyle` is used.
      Parameters:
        `unstackedPrintTextBoxStyle` -
      See Also:
        `FormItemBaseStyle . Default value is null`, `Appearance overview and related methods`

    - #### getUnstackedPrintTextBoxStyle

          public java.lang.String getUnstackedPrintTextBoxStyle()

      In `unstacked mode`, the base CSS class name for the `SpinnerItem`'s text box element when printed. If unset, then `unstackedTextBoxStyle` is used.
      Returns:
      See Also:
        `FormItemBaseStyle`, `Appearance overview and related methods`

    - #### setUnstackedReadOnlyTextBoxStyle

          public void setUnstackedReadOnlyTextBoxStyle(java.lang.String unstackedReadOnlyTextBoxStyle)

      Parameters:
        `unstackedReadOnlyTextBoxStyle` -
      See Also:
        `FormItemBaseStyle . Default value is null`, `Appearance overview and related methods`

    - #### getUnstackedReadOnlyTextBoxStyle

          public java.lang.String getUnstackedReadOnlyTextBoxStyle()

      Returns:
      See Also:
        `FormItemBaseStyle`, `Appearance overview and related methods`

    - #### setUnstackedTextBoxStyle

          public void setUnstackedTextBoxStyle(java.lang.String unstackedTextBoxStyle)

      In `unstacked mode`, the base CSS class name for the `SpinnerItem`'s text box element.

      NOTE: See the `CompoundFormItem_skinning` discussion for special skinning considerations.

      Parameters:
        `unstackedTextBoxStyle` -
      See Also:
        `FormItemBaseStyle . Default value is "textItem"`, `Appearance overview and related methods`

    - #### getUnstackedTextBoxStyle

          public java.lang.String getUnstackedTextBoxStyle()

      In `unstacked mode`, the base CSS class name for the `SpinnerItem`'s text box element.

      NOTE: See the `CompoundFormItem_skinning` discussion for special skinning considerations.

      Returns:
      See Also:
        `FormItemBaseStyle`, `Appearance overview and related methods`

    - #### setWriteStackedIcons

          public void setWriteStackedIcons(java.lang.Boolean writeStackedIcons)

      When set to `true`, the increase and decrease icons are stacked on top of each other, also called stacked mode. When `false`, the increase and decrease icons are placed on the same line as the `SpinnerItem`'s text box, also called unstacked mode. When `null`, a default setting depending on `isTouch` is used (for touch browsers, the default is `false`/unstacked mode).

      In stacked mode, `increaseIcon` and `decreaseIcon` control the appearance of the stacked icons.

      In unstacked mode, `unstackedIncreaseIcon` and `unstackedDecreaseIcon` control the appearance of the unstacked icons.

      Parameters:
        `writeStackedIcons` - Default value is null
      See Also:
        `Appearance overview and related methods`

    - #### getWriteStackedIcons

          public java.lang.Boolean getWriteStackedIcons()

      When set to `true`, the increase and decrease icons are stacked on top of each other, also called stacked mode. When `false`, the increase and decrease icons are placed on the same line as the `SpinnerItem`'s text box, also called unstacked mode. When `null`, a default setting depending on `isTouch` is used (for touch browsers, the default is `false`/unstacked mode).

      In stacked mode, `increaseIcon` and `decreaseIcon` control the appearance of the stacked icons.

      In unstacked mode, `unstackedIncreaseIcon` and `unstackedDecreaseIcon` control the appearance of the unstacked icons.

      Returns:
        Boolean
      See Also:
        `Appearance overview and related methods`

    - #### setDefaultProperties

          public static void setDefaultProperties(SpinnerItem spinnerItemProperties)

      Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties of the class instance passed to this function. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

      Parameters:
        `spinnerItemProperties` - properties that should be used as new defaults when instances of this class are created
      See Also:
        `SGWTProperties`

    - #### setMax

          public final void setMax(java.lang.Integer max)

    - #### setMin

          public final void setMin(java.lang.Integer min)

    - #### setDefaultValue

          public void setDefaultValue(java.lang.Double defaultValue)

      Description copied from class: `FormItem`
      Value used when no value is provided for this item. Note that whenever this item's value is cleared by the user or set to `null` programmatically, it will be reverted to the `defaultValue`. Developers should use the `values` object if their intention is to provide an initial value for a field in a form rather than a value to use in place of `null`.
      Overrides:
        `setDefaultValue` in class `FormItem`
      Parameters:
        `defaultValue` - defaultValue Default value is null

    - #### setDefaultValue

          public void setDefaultValue(java.lang.Integer defaultValue)

      Description copied from class: `FormItem`
      Value used when no value is provided for this item. Note that whenever this item's value is cleared by the user or set to `null` programmatically, it will be reverted to the `defaultValue`. Developers should use the `values` object if their intention is to provide an initial value for a field in a form rather than a value to use in place of `null`.
      Overrides:
        `setDefaultValue` in class `FormItem`
      Parameters:
        `defaultValue` - defaultValue Default value is null

    - #### setNextValueHandler

          public void setNextValueHandler(NextValueHandler handler)

      When `min` and `max` are both null or unspecified, the nextValueHandler is used to get the next higher value from the currentValue. The default implementation returns (currentValue + step).

      To indicate that the given currentValue is the maximum value, return currentValue again.

      Implementations should expect to be passed any value for currentValue. Also, if `step` is non-negative, the nextValueHandler must induce a monotonically increasing (non-decreasing) function; otherwise, the nextValueHandler must induce a monotonically decreasing function.

    - #### setPreviousValueHandler

          public void setPreviousValueHandler(PreviousValueHandler handler)

      When `min` and `max` are both null or unspecified, the previousValueHandler is used to get the previous lower value from the currentValue. The default implementation returns (currentValue + step) because the step parameter is based on the opposite of `this.step`.

      To indicate that the given currentValue is the minimum value, return currentValue again.

      Implementations should expect to be passed any value for currentValue. Also, if `step` is non-negative, the previousValueHandler must induce a monotonically decreasing (non-increasing) function; otherwise, the previousValueHandler must induce a monotonically increasing function.